Subject: Re: Interact directly on Emacs bug#28620: mouse drag event records wrong release window

From: martin rudalics <[email-masked]>
Date: Sat, 21 Oct 2017 10:05:03 +0200

> ​Yes, I see.  I am having similar issues when trying to replicate the size
 > of a frame under the macOS window system.  I can't seem to get the new
 > frame to match the old frame by using (frame-edges nil 'outer-edges) or
 > (frame-edges nil 'native-edges).  In earlier versions of Emacs, I don't
 > remember this being a problem but I can't recall when that was.  What is
 > the best way available to replicate the size of one frame to another given
 > the limitations that exist now?

There should be no "limitations".  As a rule,

(setq frame-resize-pixelwise t)
(make-frame (frame-parameters))

should give you an exact replica of the selected frame.  If you only
want to clone the size of the selected frame use

(setq frame-resize-pixelwise t)
(make-frame `((width . ,(frame-parameter nil 'width))
	      (height . ,(frame-parameter nil 'height))))

martin